@echo off

echo.
echo Ŀ
echo  Create a TSUTLF package, both in .arc and .zip formats 
echo  By Prof. Timo Salmi. Last modified Wed 27-Oct-2004     
echo 
echo.

:: Preliminaries
set targdir_=m:
set targname_=TSFAQP50

copy f:\inf2\tsfaqp.diz   M:\FILE_ID.DIZ
copy f:\inf2\1readmai.txt M:\READMAIL.TXT

for %%f in (%targdir_%\%targname_%.???) do del /p %%f

:: Make the ARC version for documentation reasons
echo Append all Q+As into one file   |pkpak -ac %targdir_%\%targname_% F:\INF2\ALLFAQP.BAT
echo TP questions and answers part 1 |pkpak -ac %targdir_%\%targname_% F:\INF2\FAQPAS1.TXT
echo TP questions and answers part 2 |pkpak -ac %targdir_%\%targname_% F:\INF2\FAQPAS2.TXT
echo TP questions and answers part 3 |pkpak -ac %targdir_%\%targname_% F:\INF2\FAQPAS3.TXT
echo TP questions and answers part 4 |pkpak -ac %targdir_%\%targname_% F:\INF2\FAQPAS4.TXT
echo TP questions and answers part 5 |pkpak -ac %targdir_%\%targname_% F:\INF2\FAQPAS5.TXT
echo TP questions and answers part 6 |pkpak -ac %targdir_%\%targname_% F:\INF2\FAQPAS6.TXT
echo TP questions and answers part 7 |pkpak -ac %targdir_%\%targname_% F:\INF2\FAQPAS7.TXT
echo Bibliography, textbooks, manuals|pkpak -ac %targdir_%\%targname_% F:\INF2\FAQPASB.TXT
echo Brief characterization of tsfaqp|pkpak -ac %targdir_%\%targname_% M:\FILE_ID.DIZ
echo A makefile to build this package|pkpak -ac %targdir_%\%targname_% E:\ARCZIP\M_TSFAQP.BAT
echo ReadMail setting for FAQ reading|pkpak -ac %targdir_%\%targname_% M:\READMAIL.TXT
echo Joint index of all the questions|pkpak -ac %targdir_%\%targname_% F:\INF2\TSFAQPID.TXT
echo Document (a readme)             |pkpak -ac %targdir_%\%targname_% F:\INF2\TSFAQPIN.TXT
echo News announcements about tsfaqp |pkpak -ac %targdir_%\%targname_% F:\INF2\TSFAQPNW.TXT
echo List of programs from Timo Salmi|pkpak -ac %targdir_%\%targname_% F:\INF\TSPROG.TXT
echo How to read the FAQs with elm   |pkpak -ac %targdir_%\%targname_% F:\INF2\UNIXELM.TXT
echo Info: Finland, Vaasa, U of Vaasa|pkpak -ac %targdir_%\%targname_% F:\INF\VAASAINF.TXT
echo Frequently asked TP questions   |pkpak -x %targdir_%\%targname_%
pkpak -vc %targdir_%\%targname_%
pause

echo Append all Q+As into one file   |pkzip -aco %targdir_%\%targname_% F:\INF2\ALLFAQP.BAT
echo TP questions and answers part 1 |pkzip -aco %targdir_%\%targname_% F:\INF2\FAQPAS1.TXT
echo TP questions and answers part 2 |pkzip -aco %targdir_%\%targname_% F:\INF2\FAQPAS2.TXT
echo TP questions and answers part 3 |pkzip -aco %targdir_%\%targname_% F:\INF2\FAQPAS3.TXT
echo TP questions and answers part 4 |pkzip -aco %targdir_%\%targname_% F:\INF2\FAQPAS4.TXT
echo TP questions and answers part 5 |pkzip -aco %targdir_%\%targname_% F:\INF2\FAQPAS5.TXT
echo TP questions and answers part 6 |pkzip -aco %targdir_%\%targname_% F:\INF2\FAQPAS6.TXT
echo TP questions and answers part 7 |pkzip -aco %targdir_%\%targname_% F:\INF2\FAQPAS7.TXT
echo Bibliography, textbooks, manuals|pkzip -aco %targdir_%\%targname_% F:\INF2\FAQPASB.TXT
echo Brief characterization of tsfaqp|pkzip -aco %targdir_%\%targname_% M:\FILE_ID.DIZ
echo A makefile to build this package|pkzip -aco %targdir_%\%targname_% E:\ARCZIP\M_TSFAQP.BAT
echo ReadMail setting for FAQ reading|pkzip -aco %targdir_%\%targname_% M:\READMAIL.TXT
echo Joint index of all the questions|pkzip -aco %targdir_%\%targname_% F:\INF2\TSFAQPID.TXT
echo Document (a readme)             |pkzip -aco %targdir_%\%targname_% F:\INF2\TSFAQPIN.TXT
echo News announcements about tsfaqp |pkzip -aco %targdir_%\%targname_% F:\INF2\TSFAQPNW.TXT
echo List of programs from Timo Salmi|pkzip -aco %targdir_%\%targname_% F:\INF\TSPROG.TXT
echo How to read the FAQs with elm   |pkzip -aco %targdir_%\%targname_% F:\INF2\UNIXELM.TXT
echo Info: Finland, Vaasa, U of Vaasa|pkzip -aco %targdir_%\%targname_% F:\INF\VAASAINF.TXT
echo FTP archives http://garbo.uwasa.fi/ University of Vaasa, Finland|pkzip -zo %targdir_%\%targname_%

pkzip -vc %targdir_%\%targname_%
pause

:: Clean up
for %%f in (m:\file_id.diz m:\readmail.txt) do if exist %%f del %%f
for %%v in (targdir_ targname_) do set %%v=
